--script for played.to (19/12/2013)
-- open http://played.to/p0ylitd4z74t


if m_simpleTV.Control.ChangeAdress ~= 'No' then return end

local inAdr =  m_simpleTV.Control.CurrentAdress

if inAdr==nil then return end

if  not string.match( inAdr, 'played%.to' ) then return end

m_simpleTV.Control.ChangeAdress='Yes'
m_simpleTV.Control.CurrentAdress = ''

 local session = m_simpleTV.WinInet.New("Opera/9.80 (Windows NT 6.1; U; ru) Presto/2.9.168 Version/11.52")
 if session == nil then return end

  --INTERNET_OPTION_CONNECT_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,2,5000,0)
  --INTERNET_OPTION_RECEIVE_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,6,8000,0)

-----------------------------------------------
local num = findpattern( inAdr,'to/(.-)$',1,3,0)
inAdr = 'http://played.to/iframe-' .. num .. '-640x360.html'

 local rc,answer=m_simpleTV.WinInet.Get(session,inAdr)

 if rc~=200 then
	   m_simpleTV.WinInet.Close(session)
	   m_simpleTV.OSD.ShowMessage("Connection error - " .. rc ,255,10)
	   return
 end
--debug_in_file(answer .. '\n')

local  retAdr = findpattern(answer,'file: "(.-)"',1,7,1)
   	 if retAdr == nil then
		  m_simpleTV.OSD.ShowMessage("Error - video is not available for playback",255,10)
		  return
	  end
m_simpleTV.WinInet.Close(session)
m_simpleTV.Control.CurrentAdress = retAdr